aboutsummaryrefslogtreecommitdiffstats
path: root/community/etckeeper/apk-commit_hook
diff options
context:
space:
mode:
authorHenrik Riomar <henrik.riomar@gmail.com>2017-08-06 11:26:38 +0200
committerTimo Teräs <timo.teras@iki.fi>2017-08-28 07:15:08 +0000
commitbcf6059ec23ab4ff2d600c8669a5a81c24ee74b4 (patch)
tree3f92548d945de504cf49e5d6c3543721305c1a33 /community/etckeeper/apk-commit_hook
parent93364931ad25e79c2137579cfe61730460695beb (diff)
downloadaports-bcf6059ec23ab4ff2d600c8669a5a81c24ee74b4.tar.bz2
aports-bcf6059ec23ab4ff2d600c8669a5a81c24ee74b4.tar.xz
community/etckeeper: move from testing
Diffstat (limited to 'community/etckeeper/apk-commit_hook')
-rw-r--r--community/etckeeper/apk-commit_hook17
1 files changed, 17 insertions, 0 deletions
diff --git a/community/etckeeper/apk-commit_hook b/community/etckeeper/apk-commit_hook
new file mode 100644
index 0000000000..6f0a4c043c
--- /dev/null
+++ b/community/etckeeper/apk-commit_hook
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+
+[ -x /usr/bin/etckeeper ] || exit
+
+case "$1" in
+ pre-commit)
+ etckeeper pre-install
+ ;;
+ post-commit)
+ etckeeper post-install
+ ;;
+
+ *)
+ echo "$0: Un-handled action: $1"
+ ;;
+esac